Package org.apache.commons.jxpath.servlet

# Class Constants

java.lang.Object
org.apache.commons.jxpath.servlet.Constants

public final class Constants extends Object
String constants for this package.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `APPLICATION_SCOPE`
  Variable name for `ServletContext`.
  `static final String`
  `JXPATH_CONTEXT`
  Attribute name used in page context, requst, session, and servlet context to store the corresponding `JXPathContext`.
  `static final String`
  `PAGE_SCOPE`
  Variable name for `PageContext`.
  `static final String`
  `REQUEST_SCOPE`
  Variable name for `ServletRequest`.
  `static final String`
  `SESSION_SCOPE`
  Variable name for `HttpSession`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Constants()`
  Deprecated.
  Will be private in the next major version.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### APPLICATION_SCOPE

    public static final String APPLICATION_SCOPE
    Variable name for `ServletContext`.
    See Also:
      - Constant Field Values

  - ### SESSION_SCOPE

    public static final String SESSION_SCOPE
    Variable name for `HttpSession`.
    See Also:
      - Constant Field Values

  - ### REQUEST_SCOPE

    public static final String REQUEST_SCOPE
    Variable name for `ServletRequest`.
    See Also:
      - Constant Field Values

  - ### PAGE_SCOPE

    public static final String PAGE_SCOPE
    Variable name for `PageContext`.
    See Also:
      - Constant Field Values

  - ### JXPATH_CONTEXT

    public static final String JXPATH_CONTEXT
    Attribute name used in page context, requst, session, and servlet context to store the corresponding `JXPathContext`.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Constants

    @Deprecated public Constants()
    Deprecated.
    Will be private in the next major version.
    Constructs a new instance.